#include <iostream>
using namespace std;

int main()
{
    int i,n,k,l,s,s1,s2;
    cin>>n>>k;
    s=s1=s2=0;
    int x[n];
    for (i=0; i<n; i++)
    {
        cin>>x[i];
        s1+=x[i];
        s+=s1;

    }
    if (k==0)
    {
        cout<<s1;
        return 0;
    }
    l=n;
    s2=s;
    for (i=1; i<n; i++)
    {
        s2=s2-l*x[i-1];
        s+=s2;
        l--;
    }

    cout << s << endl;
    return 0;
}